• Welcome to Simple Machines Community Forum. Please login or sign up.
January 17, 2022, 02:57:01 PM

News:

SMF 2.1 RC4 has been released! Try it out and help us test! :) Read more.


Password Protect Boards

Started by Yağız..., May 29, 2011, 02:35:56 PM

Previous topic - Next topic

Yağız...

May 29, 2011, 02:35:56 PM Last Edit: June 29, 2011, 11:19:10 AM by Yağız...
Link to Mod

Password Protect Boards

Written by: Thantos
Updated by: Dragooon
Updated to SMF 2.0 by: Yağız...

This modification allows you to set a password on a per board basis.  Users will be required to enter the password on the board index prior to being able to view any of that board's content.

Administrators and Moderators on that board (global moderators included) are exempt from having to enter the password.

This modification does not protect child boards.

v1.0:
-Original Version
v1.1:
-Made password protection improvements
v1.2:
-Updated to SMF 2.0 RC4
-Fixed an XHTML error at BoardIndex
-Improved language strings
v1.2a:
-Updated to SMF 2.0 Final

Please report all the bugs via the support thread.

NanoSector

My Mods / Mod Builder - A tool to easily create mods / Blog
"I've heard from a reliable source that the Answer is 42. But, still no word on what the question is."

revengelove

Nice Mod 

confirm work with 2.0 RC3

live627

Just FYI, Yagiz, the template edits can easily be avoided by using your own. Reduces support queries for custom themes.

Joker™

Github Profile
Android apps
Medium

How to enable Post Moderation

"For the wise man looks into space and he knows there is no limited dimensions." - Laozi

All support seeking PM's get microwaved

Tapsa2

This is the mod i've been looking for.
I'll just have to wait for it to be updated for 2.0 final. Or maybe it would work allready, since there was no big changes between RC5 and Final?
Suomi - Finland

Yağız...

It should work if you emulate your SMF version to RC5.

Tapsa2

Quote from: Yağız... on June 13, 2011, 10:28:28 AM
It should work if you emulate your SMF version to RC5.

Or if I modify package-info.xml to install for 2.0 also, would do the same thing, right?
Suomi - Finland

Yağız...

Quote from: Tapsa2 on June 13, 2011, 03:18:50 PM
Quote from: Yağız... on June 13, 2011, 10:28:28 AM
It should work if you emulate your SMF version to RC5.

Or if I modify package-info.xml to install for 2.0 also, would do the same thing, right?
Yeap :)

PaintChip

Quote from: Yağız... on June 13, 2011, 03:23:00 PM
Quote from: Tapsa2 on June 13, 2011, 03:18:50 PM
Quote from: Yağız... on June 13, 2011, 10:28:28 AM
It should work if you emulate your SMF version to RC5.

Or if I modify package-info.xml to install for 2.0 also, would do the same thing, right?
Yeap :)

Can someone explain to me how to do this.

I love the mod and use it on a couple of boards in older versions. I'd like to use in on my newest board in version 2.0 final.

Thank you!

Spoogs

go to... Admin>> Package Manager... scroll down, click Advanced, change 2.0 to 2.0 RC4, then install the package.

Yağız...


akbora

Thanks Yagiz, what about Google Tagged... waiting...
SMF 2.0.13
Default Theme
Utf8 Turkish
---------------

Yağız...

The new version of GoogleTagged will be with bug fixes and new features. But the other mods that I've updated are only version updates :)

Calamita

I was searching a long time for this Mod, but I have a problem..

I can´t install it, because there´s no button to install. I´m using 2.0 RC3

I think, that this Mod isn´t compatible with this version.. am I right?

Yağız...

Quote from: Calamita on July 20, 2011, 11:13:55 AM
I was searching a long time for this Mod, but I have a problem..

I can´t install it, because there´s no button to install. I´m using 2.0 RC3

I think, that this Mod isn´t compatible with this version.. am I right?

You're right, this mod is not compatible with SMF 2.0 RC3. You need to upgrade your SMF version.

kuşlar

July 28, 2011, 06:19:49 PM #16 Last Edit: July 28, 2011, 06:25:13 PM by kuşlar
slm 2.0 yükledim bölümlerdem şifre verdim ama herkes şifresiz girebilyor nerde hata yapyorum yardımcı olursanız sevinirim tşkürler
not sürüm 2.0 .b.pasport hata veriyor elle yüklenince site hata veriyor.

live627


Neol

I would like to include admins a moderators too. The board should be viewable only for those with the password, no matter what status they have. How to do this?

stuttboksa

Quote from: Spoogs on June 29, 2011, 11:05:40 AM
go to... Admin>> Package Manager... scroll down, click Advanced, change 2.0 to 2.0 RC4, then install the package.

Sorry for the lack of knowledge on my part, but how do I install the package?  :-[

Advertisement: